MLXMDIO(1)

NAME
mlxmdio - manual page for mlxmdio 4.19.0

DESCRIPTION

    mlxmdio: Generate an MDIO 802.3ae read or write transaction from the ConnectX based adapter.

    Usage: mlxmdio -d mst_dev -m phy_addr:dev_addr -g mdio_gw -a addr[:data] [-b data_file]

-d  mst device

-m  mdio_id The mdio id of the target device in phy_addr:dev_addr format.

-a  addr[:data] Access a single MDIO reg. If data is specified, the reg is written,

    Otherwise, it is read. Addr and data should be in hex format.

-g  mdio_gw Select which mdio gw <0..10> to use.

-c  clause Select which clause to use:

    22: clause 22. 45: clause 45 (Default).

-r  size Read a block of <size> 16-bit words (max size 1024)

-w  input_file Write a block from <input_file>

    Every line of input file should be addr:data in hex

-h  Show usage.

-v  Show tool version.

    Examples: > Read : mlxmdio -d /dev/mst/mt4123_pciconf0 -m 0x7:0x1 -a 0x0 -g 6 > Write : mlxmdio -d /dev/mst/mt4123_pciconf0 -m 0x7:0x1 -a 0x0:0x0124 -g 6 > Read Block : mlxmdio -d /dev/mst/mt4123_pciconf0 -m 0x7:0x1 -a 0x0 -g 6 -r 16 > Write Block : mlxmdio -d /dev/mst/mt4123_pciconf0 -m 0x7:0x1 -g 6 -w input.txt

SEE ALSO
The full documentation for mlxmdio is maintained as a Texinfo manual. If the info and mlxmdio programs are properly installed at your site, the command

    info mlxmdio

should give you access to the complete manual.